Bug 1128157 (CVE-2014-4345) - CVE-2014-4345 krb5: buffer overrun in kadmind with LDAP backend (MITKRB5-SA-2014-001)
Summary: CVE-2014-4345 krb5: buffer overrun in kadmind with LDAP backend (MITKRB5-SA-2...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4345
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140807,repor...
Depends On: 1121510 1130950 1132785
Blocks: 1101912 1121513 1128161
TreeView+ depends on / blocked
 
Reported: 2014-08-08 12:53 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:08 UTC (History)
9 users (show)

Fixed In Version: krb5 1.11.6, krb5 1.12.2
Doc Type: Bug Fix
Doc Text:
A buffer overflow was found in the KADM5 administration server (kadmind) when it was used with an LDAP back end for the KDC database. A remote, authenticated attacker could potentially use this flaw to execute arbitrary code on the system running kadmind.
Clone Of:
Environment:
Last Closed: 2015-03-06 10:12:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1255 normal SHIPPED_LIVE Moderate: krb5 security update 2014-09-17 14:48:15 UTC
Red Hat Product Errata RHSA-2014:1389 normal SHIPPED_LIVE Moderate: krb5 security and bug fix update 2014-10-14 01:27:10 UTC
Red Hat Product Errata RHSA-2015:0439 normal SHIPPED_LIVE Moderate: krb5 security, bug fix and enhancement update 2015-03-05 14:38:14 UTC

Description Vasyl Kaigorodov 2014-08-08 12:53:03 UTC
Upstream released advisory [1] which fixes out-of-bounds write (buffer overflow)
Summary from the advisory:
...
In MIT krb5, when kadmind is configured to use LDAP for the KDC
database, an authenticated remote attacker can cause it to perform an
out-of-bounds write (buffer overflow).  This is not a protocol
vulnerability.  Using LDAP for the KDC database is a non-default
configuration for the KDC.
...

Further technical details and patches are available on the advisory page as well.


External References:

http://web.mit.edu/Kerberos/advisories/MITKRB5-SA-2014-001.txt

Comment 1 Fedora Update System 2014-08-15 02:45:54 UTC
krb5-1.11.5-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-08-27 01:34:49 UTC
krb5-1.11.3-25.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Martin Prpič 2014-09-09 09:47:28 UTC
IssueDescription:

A buffer overflow was found in the KADM5 administration server (kadmind) when it was used with an LDAP back end for the KDC database. A remote, authenticated attacker could potentially use this flaw to execute arbitrary code on the system running kadmind.

Comment 7 errata-xmlrpc 2014-09-17 10:48:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1255 https://rhn.redhat.com/errata/RHSA-2014-1255.html

Comment 8 errata-xmlrpc 2014-10-14 08:11:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1389 https://rhn.redhat.com/errata/RHSA-2014-1389.html

Comment 9 Huzaifa S. Sidhpurwala 2014-10-14 09:29:20 UTC
Statement:

(none)

Comment 10 errata-xmlrpc 2015-03-05 10:01:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0439 https://rhn.redhat.com/errata/RHSA-2015-0439.html


Note You need to log in before you can comment on or make changes to this bug.